unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ListBox1: TListBox;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

function Exampl(index:Integer):Integer;
begin
 Exampl:=index*2; // Возвращяю переданное значение index
                              // умноженное на 2
end;


procedure TForm1.Button1Click(Sender: TObject);
var
  i, r:Integer;
begin
 for i:=-3 to 3 do
  begin // Это начало для оператора for

   if I=0 then
    begin // Это начало для оператора if
     ListBox1.Items.Add('На ноль делить нельзя');
     break;
    end;// Этот end для оператора if

   r:=round(10/i);
   ListBox1.Items.Add('10/'+IntToStr(i)+' = '+IntToStr(r));
  end; // Этот end для оператора for
 ListBox1.Items.Add('Расчёт окончен');
end;

end.
